echo off
echo ""
echo S2600CW Integrated BMC Firmware Update rev BMC_i_0128r8586
echo Performing a signed image update of the Integrated BMC Firmware.
echo ""
.\WinPEUtils_x86\FWPIAUPD\Devicesetup.exe remove *IPI0001
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\FWPIAUPD -u -bin -ni -b -o -pia -nopc -if=usb BMC_i_0128r8586.bin

echo "Update BIOS to R0009"
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\flashud.inf *int0800
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni R0009.cap

echo ""
echo "Flashing R0009_ME..."
.\WinPEUtils_x86\IFlash32\IFlash32 /u /ni R0009_ME.cap
echo ""
echo "R0009_ME update completed..."

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\FRUSDR\frusdr -cfg master.cfg

echo "Updates completed. Please reboot using the front panel button."

echo on
